﻿using Connected.Annotations;
using Connected.Common.Documents;
using Connected.Entities.Annotations;
using Connected.Logistics.Types;

namespace Connected.Logistics.Documents.Receive;

/// <inheritdoc cref="IReceiveDocument"/>
[Table(Schema = Domain.Code)]
internal sealed record ReceiveDocument : Document<int>, IReceiveDocument
{
	public const string EntityKey = $"{Domain.Code}.{nameof(ReceiveDocument)}";

	/// <inheritdoc cref="IReceiveDocument.Supplier"/>
	[Ordinal(1), Nullable]
	public int? Supplier { get; init; }
	/// <inheritdoc cref="IReceiveDocument.ReceiveDate"/>
	[Ordinal(2), Nullable]
	public DateTimeOffset? ReceiveDate { get; init; }
	/// <inheritdoc cref="IReceiveDocument.ItemCount"/>
	public int ItemCount { get; init; }
	/// <inheritdoc cref="IReceiveDocument.OpenItemCount"/>
	public int OpenItemCount { get; init; }
}
