﻿using Connected.Annotations;
using Connected.Common;
using Connected.Entities;
using Connected.Entities.Annotations;
using Connected.Logistics.Types;

namespace Connected.Logistics.Documents.Receive;

/// <inheritdoc cref="IReceiveItem"/>
[Table(Schema = CommonSchemas.DocumentSchema)]
internal sealed record ReceiveItem : EntityContainer<long>, IReceiveItem
{
	public const string EntityKey = $"{Domain.Code}.{nameof(ReceiveItem)}";
	/// <inheritdoc cref="IReceiveItem.Document"/>
	[Ordinal(0), Index]
	public int Document { get; init; }
	/// <inheritdoc cref="IReceiveItem.Quantity"/>
	[Ordinal(1)]
	public float Quantity { get; init; }
	/// <inheritdoc cref="IReceiveItem.PostedQuantity"/>
	[Ordinal(4)]
	public float PostedQuantity { get; init; }
}
