﻿using Connected.Annotations;
using Connected.Entities.Annotations;
using Connected.Entities.Consistency;
using Connected.Logistics.Types;

namespace Connected.Logistics.Documents.Receive;
/// <inheritdoc cref="IReceivePlannedItem"/>
[Table(Schema = Domain.Code)]
internal sealed record ReceivePlannedItem : ConsistentEntity<long>, IReceivePlannedItem
{
	public const string EntityKey = $"{Domain.Code}.{nameof(ReceivePlannedItem)}";

	/// <inheritdoc cref="IReceivePlannedItem.Document"/>
	[Ordinal(0), Index]
	public int Document { get; init; }
	/// <inheritdoc cref="IReceivePlannedItem.Item"/>
	[Ordinal(1), Index]
	public int Item { get; init; }
	/// <inheritdoc cref="IReceivePlannedItem.Quantity"/>
	[Ordinal(2)]
	public float Quantity { get; init; }
	/// <inheritdoc cref="IReceivePlannedItem.PostedQuantity"/>
	[Ordinal(3)]
	public float PostedQuantity { get; init; }
}
