﻿using Connected.Annotations;
using Connected.Common.Documents;
using Connected.Entities.Annotations;
using Connected.Logistics.Types;

namespace Connected.Logistics.Documents.Receive;
/// <inheritdoc cref="IReceivePostingDocument"/>
[Table(Schema = Domain.Code)]
internal sealed record ReceivePostingDocument : Document<int>, IReceivePostingDocument
{
	public const string EntityKey = $"{Domain.Code}.{nameof(ReceivePostingDocument)}";

	/// <inheritdoc cref="IReceivePostingDocument.Document"/>
	[Ordinal(0)]
	public int Document { get; init; }
	/// <inheritdoc cref="IReceivePostingDocument.OpenItemCount"/>
	[Ordinal(1)]
	public int OpenItemCount { get; init; }
	/// <inheritdoc cref="IReceivePostingDocument.ItemCount"/>
	[Ordinal(2)]
	public int ItemCount { get; init; }
}
