﻿using Connected.Annotations;
using Connected.Entities.Annotations;
using Connected.Entities.Consistency;
using Connected.Logistics.Types;

namespace Connected.Logistics.Documents.Receive;
/// <inheritdoc cref="IReceivePostingItem"/>
[Table(Schema = Domain.Code)]
internal sealed record ReceivePostingItem : ConsistentEntity<long>, IReceivePostingItem
{
	public const string EntityKey = $"{Domain.Code}.{nameof(ReceivePostingItem)}";
	/// <inheritdoc cref="IReceivePostingItem.Document"/>
	[Ordinal(0)]
	public int Document { get; init; }
	/// <inheritdoc cref="IReceivePostingItem.Serial"/>
	[Ordinal(1)]
	public long Serial { get; init; }
	/// <inheritdoc cref="IReceivePostingItem.Quantity"/>
	[Ordinal(2)]
	public float Quantity { get; init; }
	/// <inheritdoc cref="IReceivePostingItem.Location"/>
	[Ordinal(3)]
	public int Location { get; init; }
}
