﻿using Connected.Annotations;
using Connected.Entities.Annotations;
using Connected.Entities.Consistency;
using Connected.Logistics.Types;

namespace Connected.Logistics.Stock;
[Table(Schema = Domain.Code)]
internal sealed record Stock : ConsistentEntity<long>, IStock
{
	[Ordinal(0), Length(128), Index(Name = $"ix_{Domain.Code}_{nameof(Entity)}_{nameof(EntityId)}", Unique = true)]
	public string Entity { get; init; } = default!;

	[Ordinal(1), Length(128), Index(Name = $"ix_{Domain.Code}_{nameof(Entity)}_{nameof(EntityId)}", Unique = true)]
	public string EntityId { get; init; } = default!;

	[Ordinal(2)]
	public float Quantity { get; init; }

	[Ordinal(3)]
	public float? Min { get; init; }

	[Ordinal(4)]
	public float? Max { get; init; }
}
