﻿using Connected.Annotations;
using Connected.Entities.Annotations;
using Connected.Entities.Consistency;
using Connected.Logistics.Types;

namespace Connected.Logistics.Stock;
/// <inheritdoc cref="IStockItem"/>
[Table(Schema = Domain.Code)]
internal sealed record StockItem : ConsistentEntity<long>, IStockItem
{
	public const string EntityKey = $"{Domain.Code}.{nameof(StockItem)}";
	/// <inheritdoc cref="IStockItem.Stock"/>
	[Ordinal(0)]
	public long Stock { get; init; }
	/// <inheritdoc cref="IStockItem.Location"/>
	[Ordinal(1)]
	public int Location { get; init; }
	/// <inheritdoc cref="IStockItem.Serial"/>
	[Ordinal(2)]
	public long Serial { get; init; }
	/// <inheritdoc cref="IStockItem.Quantity"/>
	[Ordinal(3)]
	public float Quantity { get; init; }
}
