﻿using System.Collections.Immutable;
using Connected.Annotations;
using Connected.Notifications;
using Connected.ServiceModel;

namespace Connected.Logistics.Types.Packaging;

[Service]
[ServiceUrl(LogisticsUrls.Packing)]
public interface IPackingService : IServiceNotifications<int>
{
	[ServiceMethod(ServiceMethodVerbs.Get | ServiceMethodVerbs.Post)]
	Task<ImmutableList<IPacking>> Query(QueryArgs? args);

	[ServiceMethod(ServiceMethodVerbs.Get | ServiceMethodVerbs.Post)]
	Task<ImmutableList<IPacking>> Query(PrimaryKeyListArgs<int> args);

	[ServiceMethod(ServiceMethodVerbs.Get | ServiceMethodVerbs.Post)]
	Task<IPacking?> Select(PrimaryKeyArgs<int> args);
	[ServiceMethod(ServiceMethodVerbs.Get | ServiceMethodVerbs.Post)]
	Task<IPacking?> Select(SelectPackingArgs args);

	[ServiceMethod(ServiceMethodVerbs.Post | ServiceMethodVerbs.Put)]
	Task<int> Insert(InsertPackingArgs args);

	[ServiceMethod(ServiceMethodVerbs.Post | ServiceMethodVerbs.Patch)]
	Task Update(UpdatePackingArgs args);

	[ServiceMethod(ServiceMethodVerbs.Post | ServiceMethodVerbs.Patch)]
	Task Patch(PatchArgs<int> args);

	[ServiceMethod(ServiceMethodVerbs.Delete | ServiceMethodVerbs.Post)]
	Task Delete(PrimaryKeyArgs<int> args);
}
