﻿using System.ComponentModel.DataAnnotations;
using Connected.Data;
using Connected.ServiceModel;

namespace Connected.Logistics.Types.Packaging;
public sealed class InsertPackingArgs : EntityArgs
{
	[Required, MaxLength(32)]
	public string Ean { get; set; } = default!;

	public float? Quantity { get; set; }

	public float? NetWeight { get; set; }

	public float? GrossWeight { get; set; }

	public int? Width { get; set; }

	public int? Height { get; set; }

	public int? Depth { get; set; }

	public int? ItemCount { get; set; }

	public Status Status { get; set; } = Status.Disabled;
}

public sealed class UpdatePackingArgs : PrimaryKeyArgs<int>
{
	[Required, MaxLength(32)]
	public string Ean { get; set; } = default!;

	public float? Quantity { get; set; }

	public float? NetWeight { get; set; }

	public float? GrossWeight { get; set; }

	public int? Width { get; set; }

	public int? Height { get; set; }

	public int? Depth { get; set; }

	public int? ItemCount { get; set; }

	public Status Status { get; set; } = Status.Disabled;
}

public sealed class SelectPackingArgs : Dto
{
	[Required, MaxLength(32)]
	public string Ean { get; set; } = default!;
}