﻿using System.ComponentModel.DataAnnotations;
using Connected.Annotations;
using Connected.Data;
using Connected.ServiceModel;

namespace Connected.Logistics.Types.WarehouseLocations;
public sealed class InsertWarehouseLocationArgs : Dto
{
	public int? Parent { get; set; }

	[MinValue(1)]
	public int Warehouse { get; set; }

	[Required, MaxLength(128)]
	public string Name { get; set; } = default!;

	[Required, MaxLength(32)]
	public string Code { get; set; } = default!;

	public Status Status { get; set; } = Status.Disabled;
}

public sealed class UpdateWarehouseLocationArgs : PrimaryKeyArgs<int>
{
	public int? Parent { get; set; }

	[Required, MaxLength(128)]
	public string Name { get; set; } = default!;

	[Required, MaxLength(32)]
	public string Code { get; set; } = default!;

	public Status Status { get; set; } = Status.Disabled;
}

public sealed class SelectWarehouseLocationArgs : Dto
{
	[Required, MaxLength(32)]
	public string Code { get; set; } = default!;
}

public sealed class QueryWarehouseLocationArgs : QueryArgs
{
	[MinValue(1)]
	public int Warehouse { get; set; }
}

public sealed class QueryWarehouseLocationChildrenArgs : QueryArgs
{
	[MinValue(1)]
	public int Warehouse { get; set; }

	public int? Parent { get; set; }
}