﻿using System.Collections.Immutable;
using Connected.Annotations;
using Connected.Notifications;
using Connected.ServiceModel;

namespace Connected.Logistics.Types.Warehouses;

[Service]
[ServiceUrl(LogisticsUrls.Warehouses)]
public interface IWarehouseService : IServiceNotifications<int>
{
	[ServiceMethod(ServiceMethodVerbs.Get | ServiceMethodVerbs.Post)]
	Task<ImmutableList<IWarehouse>> Query(QueryArgs? args);

	[ServiceMethod(ServiceMethodVerbs.Get | ServiceMethodVerbs.Post)]
	Task<ImmutableList<IWarehouse>> Query(PrimaryKeyListArgs<int> args);

	[ServiceMethod(ServiceMethodVerbs.Get | ServiceMethodVerbs.Post)]
	Task<IWarehouse?> Select(PrimaryKeyArgs<int> args);

	[ServiceMethod(ServiceMethodVerbs.Post | ServiceMethodVerbs.Put)]
	Task<int> Insert(InsertWarehouseArgs args);

	[ServiceMethod(ServiceMethodVerbs.Post | ServiceMethodVerbs.Patch)]
	Task Update(UpdateWarehouseArgs args);

	[ServiceMethod(ServiceMethodVerbs.Post | ServiceMethodVerbs.Patch)]
	Task Patch(PatchArgs<int> args);

	[ServiceMethod(ServiceMethodVerbs.Post | ServiceMethodVerbs.Delete)]
	Task Delete(PrimaryKeyArgs<int> args);
}
