﻿using System.ComponentModel.DataAnnotations;
using Connected.Data;
using Connected.ServiceModel;

namespace Connected.Logistics.Types.Warehouses;
public class InsertWarehouseArgs : Dto
{
	[Required, MaxLength(128)]
	public string Name { get; set; } = default!;

	[Required, MaxLength(32)]
	public string Code { get; set; } = default!;

	public Status Status { get; set; } = Status.Disabled;
}

public class UpdateWarehouseArgs : PrimaryKeyArgs<int>
{
	[Required, MaxLength(128)]
	public string Name { get; set; } = default!;

	[Required, MaxLength(32)]
	public string Code { get; set; } = default!;

	public Status Status { get; set; } = Status.Disabled;
}
