﻿using Connected.Annotations;
using Connected.Data;
using Connected.Entities.Annotations;
using Connected.Entities.Consistency;

namespace Connected.Logistics.Types.Packaging;

[Table(Schema = Domain.Code)]
internal sealed record Packing : ConsistentEntity<int>, IPacking
{
	public const string EntityKey = $"{Domain.Code}.{nameof(Packing)}";

	[Ordinal(0), Length(32)]
	[Index(Unique = true)]
	public string Ean { get; init; } = default!;

	[Ordinal(1), Length(128)]
	public string Entity { get; init; } = default!;

	[Ordinal(2), Length(128)]
	public string EntityId { get; init; } = default!;

	[Ordinal(3)]
	public float? Quantity { get; init; }

	[Ordinal(4)]
	public float? NetWeight { get; init; }

	[Ordinal(5)]
	public float? GrossWeight { get; init; }

	[Ordinal(6)]
	public int? Width { get; init; }

	[Ordinal(7)]
	public int? Height { get; init; }

	[Ordinal(8)]
	public int? Depth { get; init; }

	[Ordinal(9)]
	public int? ItemCount { get; init; }

	[Ordinal(10)]
	public Status Status { get; init; } = Status.Disabled;
}
