﻿using Connected.Annotations;
using Connected.Data;
using Connected.Entities.Annotations;
using Connected.Entities.Consistency;

namespace Connected.Logistics.Types.Warehouses;
/// <inheritdoc cref="IWarehouse"/>
[Table(Schema = Domain.Code)]
internal sealed record Warehouse : ConsistentEntity<int>, IWarehouse
{
	public const string EntityKey = $"{Domain.Code}.{nameof(Warehouse)}";

	/// <inheritdoc cref="IWarehouse.Name"/>
	[Ordinal(0), Length(128)]
	public string Name { get; init; } = default!;
	/// <inheritdoc cref="IWarehouse.Code"/>
	[Ordinal(1), Length(32), Index(Unique = true)]
	public string Code { get; init; } = default!;
	/// <inheritdoc cref="IWarehouse.Status"/>
	[Ordinal(2)]
	public Status Status { get; init; }
}
